Bug 29456 - "Auto renewal" and "Hold reminder" notice shown as "unknown" on the patron category list view
Summary: "Auto renewal" and "Hold reminder" notice shown as "unknown" on the patron ca...
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 18532
Blocks:
  Show dependency treegraph
 
Reported: 2021-11-10 19:41 UTC by Kelly McElligott
Modified: 2021-11-22 10:14 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.05


Attachments
visual (19.48 KB, image/png)
2021-11-10 19:41 UTC, Kelly McElligott
Details
Bug 29456: (bug 18532 follow-up) handle Auto_Renewals messages in category (1.62 KB, patch)
2021-11-16 14:00 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 29456: (bug 18532 follow-up) handle Auto_Renewals messages in category (1.67 KB, patch)
2021-11-16 14:12 UTC, PTFS Europe Sandboxes
Details | Diff | Splinter Review
Bug 29456: (bug 18532 follow-up) handle Auto_Renewals messages in category (1.79 KB, patch)
2021-11-18 11:08 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 29456: Add Hold_Reminder description to patron categories overview page (1.65 KB, patch)
2021-11-18 11:08 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kelly McElligott 2021-11-10 19:41:32 UTC
Created attachment 127518 [details]
visual

When looking at the Patron Category overview, a library gets a glimpse at all the pieces of that patron category. One of the pieces is the summary of notices, currently, the last notice that is listed is called "unknown'- which should be named "auto-renew- see screenshot. This should have the correct text instead of unknown.
Comment 1 Jonathan Druart 2021-11-16 14:00:13 UTC
Created attachment 127692 [details] [review]
Bug 29456: (bug 18532 follow-up) handle Auto_Renewals messages in category

The new message appears in the list on the edit view, but the list view
is showing "unknown"

Test plan:
Set AutoRenewalNotices to "according to patron messaging prefs"
Edit a patron category
Tick all the checkboxes
On the category list view you should see a correct display in the
"Messaging" column
Comment 2 PTFS Europe Sandboxes 2021-11-16 14:12:45 UTC
Created attachment 127693 [details] [review]
Bug 29456: (bug 18532 follow-up) handle Auto_Renewals messages in category

The new message appears in the list on the edit view, but the list view
is showing "unknown"

Test plan:
Set AutoRenewalNotices to "according to patron messaging prefs"
Edit a patron category
Tick all the checkboxes
On the category list view you should see a correct display in the
"Messaging" column

Signed-off-by: Kelly McElligott <kelly@bywatersolutions.com>
Comment 3 Kelly McElligott 2021-11-16 14:13:20 UTC
Works great!  Signing off through sandboxes.
Comment 4 Katrin Fischer 2021-11-18 11:08:27 UTC
Created attachment 127783 [details] [review]
Bug 29456: (bug 18532 follow-up) handle Auto_Renewals messages in category

The new message appears in the list on the edit view, but the list view
is showing "unknown"

Test plan:
Set AutoRenewalNotices to "according to patron messaging prefs"
Edit a patron category
Tick all the checkboxes
On the category list view you should see a correct display in the
"Messaging" column

Signed-off-by: Kelly McElligott <kelly@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Katrin Fischer 2021-11-18 11:08:31 UTC
Created attachment 127784 [details] [review]
Bug 29456: Add Hold_Reminder description to patron categories overview page

This was missed when initially adding the notice.

To test:
- Go to Administraiton > patron categories
- Edit a patron category and check "Hold reminder" in messaging
  preferences, save.
- Go to the overview page and verify it shows as 'Unknown'.
- Apply patch.
- Descrpition should now display.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Katrin Fischer 2021-11-18 11:35:02 UTC
Strictly speaking this is a string patch, but as the string already exists in other spots, I believe we could be lucky here. And an English string showing would also be better than "Unknown".
Comment 7 Jonathan Druart 2021-11-19 14:15:52 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 8 Kyle M Hall 2021-11-19 17:00:44 UTC
Pushed to 21.05.x for 21.05.05
Comment 9 Fridolin Somers 2021-11-20 02:09:28 UTC
Depends on Bug 18532 not in 20.11.x